%define ttfdir %_datadir/fonts/default/TrueType-ms

Name: ms-fonts-ttf
Version: 1.0
Release: alt11

Summary: Unicode True Type fonts from MS
Summary (ru_RU.UTF-8): Unicode True Type шрифты от Микрософт 
License: free to use, but restricted (see EULA)
Group: System/Fonts/True type
Url: http://telia.dl.sourceforge.net/sourceforge/corefonts
Source0: ms_eula.htm
Source1: arial32.exe
Source2: arialb32.exe
Source3: times32.exe
Source4: courie32.exe
Source5: andale32.exe
Source6: comic32.exe
Source7: georgi32.exe
Source8: impact32.exe
Source9: trebuc32.exe
Source10: verdan32.exe
Source11: webdin32.exe

BuildArchitectures: noarch
PreReq: cabextract >= 0.6 chkfontpath freetype fontconfig
BuildRequires: cabextract >= 0.6 freetype
Obsoletes: ms-ttf
Provides: ms-ttf

%description
A set of Unicode True Type fonts from MS

%description -l ru_RU.UTF-8
Набор Unicode True Type шрифтов от Микрософт.

%build
%__cp %SOURCE0 .
%__cp %SOURCE1 .
%__cp %SOURCE2 .
%__cp %SOURCE3 .
%__cp %SOURCE4 .
%__cp %SOURCE5 .
%__cp %SOURCE6 .
%__cp %SOURCE7 .
%__cp %SOURCE8 .
%__cp %SOURCE9 .
%__cp %SOURCE10 .
%__cp %SOURCE11 .
for i in *32.exe ; do
  %_bindir/cabextract -L $i >/dev/null 2>&1
done
%_sbindir/ttmkfdir > fonts.dir

%install
%__install -d $RPM_BUILD_ROOT%ttfdir
%__cp *.exe  $RPM_BUILD_ROOT%ttfdir
%__cp *.ttf $RPM_BUILD_ROOT%ttfdir
%__cp *.dir $RPM_BUILD_ROOT%ttfdir
%__ln_s /etc/X11/encodings.dir $RPM_BUILD_ROOT%ttfdir/encodings.dir
touch $RPM_BUILD_ROOT%ttfdir/fonts.cache-1

%post
cd %ttfdir
umask u=rwx,g=rx,o=rx
for i in *32.exe ; do
  %_bindir/cabextract -L $i >/dev/null 2>&1
done
%__rm -f *.inf *.exe *.dll *.txt
%_bindir/fc-cache %ttfdir ||:
%_sbindir/chkfontpath -q --add %ttfdir ||:

%postun
if [ "$1" = "0" ]; then
        %_sbindir/chkfontpath -q --remove %ttfdir ||:
fi

%triggerpostun -- %name < 1.0-alt11
%_sbindir/chkfontpath -q --add %ttfdir ||:

%files
%doc ms_eula.htm
%config (missingok) %ttfdir/*.exe
%ghost %verify (not mtime) %ttfdir/*.ttf
%ghost %ttfdir/fonts.cache-1
%ttfdir/*.dir
%dir %ttfdir

%changelog
* Wed Feb 18 2004 Vyacheslav Dikonov <slava@altlinux.ru> 1.0-alt11
- %postun script fix

* Fri Jan 30 2004 Vyacheslav Dikonov <slava@altlinux.ru> 1.0-alt10
- ttf permissions fix

* Wed Jan 28 2004 Vyacheslav Dikonov <slava@altlinux.ru> 1.0-alt9
- Directory removal and encodings.dir symlink fixes

* Tue Jan 27 2004 Vyacheslav Dikonov <slava@altlinux.ru> 1.0-alt8
- DLLs removed

* Thu Sep 04 2003 Vyacheslav Dikonov <slava@altlinux.ru> 1.0-alt7
- Full set of MS fonts (andale32.exe, comic32.exe, georgi32.exe, impact32.exe, trebuc32.exe, verdan32.exe, webdin32.exe)

* Wed Aug 27 2003 Vyacheslav Dikonov <slava@altlinux.ru> 1.0-alt6
- Changed dir
- Cleanups (removed obsolete gnome-font-install and xftcache calls, fontconfig)
- Requirements fixed
- Translation
- Renamed to ms-fonts-ttf

* Mon Oct 07 2002 AEN <aen@altlinux.ru> 1.0-alt5
- fc-cache & gnome-font install added in %post

* Wed Sep 25 2002 AEN <aen@altlinux.ru> 1.0-alt4
- built with cabextract-0.6

* Wed Sep 25 2002 AEN <aen@altlinux.ru> 1.0-alt3
- build rpm with fonts

* Thu Nov 01 2001 Sergey Vlasov <vsu@altlinux.ru> 1.0-alt2
- convert file names to lower case

* Mon Jul 16 2001 AEN <aen@logic.ru> 1.0-alt1
- build for Sisyphus
